org.gjt.sp.jedit.bufferset

## Class BufferSet.PathSorter

- java.lang.Object
- - org.gjt.sp.jedit.bufferset.BufferSet.PathSorter

- All Implemented Interfaces:
    java.util.Comparator<Buffer>
  Enclosing class:
    BufferSet

      public static class BufferSet.PathSorter
      extends java.lang.Object
      implements java.util.Comparator<Buffer>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathSorter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Buffer o1, Buffer o2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### PathSorter

          public PathSorter()

  - ### Method Detail

    - #### compare

          public int compare(Buffer o1,
                             Buffer o2)

      Specified by:
        `compare` in interface `java.util.Comparator<Buffer>`